Closes an FTP connection

- « ftp_chmod

- ftp_connect »

- PHP Manual
- FTP Functions
- Closes an FTP connection

# ftp_close

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

ftp_close — Closes an FTP connection

### Description

ftp_close(FTP\Connection `$ftp`): bool

ftp_close() closes the given link identifier and releases the resource.

> Note:

> After calling this function, you can no longer use the FTP connection and must create a new one with ftp_connect().

### Parameters

`ftp`

  An FTP\Connection instance.

### Return Values

Returns `true` on success or `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ftp` parameter expects an FTP\Connection instance now; previously, a resource was expected.

### Examples

Example #1 ftp_close() example

    <?php// set up basic connection$ftp = ftp_connect($ftp_server);// login with username and password$login_result = ftp_login($ftp, $ftp_user_name, $ftp_user_pass);// print the current directoryecho ftp_pwd($ftp);// close this connectionftp_close($ftp);?>

### See Also

- ftp_connect() - Opens an FTP connection